semanage-ibpkey(8)

NAME
semanage-ibpkey - SELinux Policy Management ibpkey mapping tool

SYNOPSIS
semanage ibpkey [-h] [-n] [-N] [-S STORE] [ --add -t TYPE -x SUBNET_PREFIX -r RANGE ibpkey_name | ibpkey_range | --delete -x SUBNET_PREFIX ibpkey_name | ibpkey_range | --deleteall | --extract | --list [-C] | --modify -t TYPE -x SUBNET_PREFIX -r RANGE ibpkey_name | ibpkey_range ]

DESCRIPTION
semanage is used to configure certain elements of SELinux policy without requiring modification to or recompilation from policy sources. semanage ibpkey controls the ibpkey number to ibpkey type definitions.

OPTIONS

-h, --help
    Show this help message and exit

-n, --noheading
    Do not print heading when listing the specified object type

-N, --noreload
    Do not reload policy after commit

-S STORE, --store STORE
    Select an alternate SELinux Policy Store to manage

-C, --locallist
    List local customizations

-a, --add
    Add a record of the specified object type

-d, --delete
    Delete a record of the specified object type

-m, --modify
    Modify a record of the specified object type

-l, --list
    List records of the specified object type

-E, --extract
    Extract customizable commands, for use within a transaction

-D, --deleteall
    Remove all local customizations

-t TYPE, --type TYPE
    SELinux type for the object

-r RANGE, --range RANGE
    MLS/MCS Security Range (MLS/MCS Systems only) SELinux Range for SELinux login mapping defaults to the SELinux user record range. SELinux Range for SELinux user defaults to s0.

-x SUBNET_PREFIX, --subnet_prefix SUBNET_PREFIX
    Subnet prefix for the specified pkey or range of pkeys.

EXAMPLE
List all ibpkey definitions
# semanage ibpkey -l
Label pkey 0x8FFF (limited membership default pkey) as a default pkey type
# semanage ibpkey -a -t default_ibpkey_t -x fe80:: 0x8FFF

SEE ALSO
selinux(8), semanage(8)

AUTHOR
This man page was written by Daniel Jurgens <danielj@mellanox.com>